Skip to main content
PUT
/
workspace
/
{workspace_id}
/
trigger
/
{trigger_id}
Update a workspace trigger
curl --request PUT \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/trigger/{trigger_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/x-xanoscript' \
  --data 'workspace_trigger foo {
  input {
    object to_branch? {
      schema {
        int id?
        text label? filters=trim
      }
    }
    object from_branch? {
      schema {
        int id?
        text label? filters=trim
      }
    }
    enum action {
      values = ["branch_live", "branch_merge", "branch_new"]
    }
  }
  stack {
    var $x1 {
      value = $input.score + 1
    }
  }
  actions = {branch_live: true, branch_merge: true, branch_new: true}
}
'
{
  "id": 1,
  "created_at": "2023-04-19 21:01:32+0000",
  "updated_at": "2023-04-19 21:01:32+0000",
  "name": "Workflow Trigger",
  "description": "My workflow trigger test description",
  "guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
  "branch": "v1",
  "tag": [
    "example tag"
  ],
  "actions": {
    "branch_live": true,
    "branch_merge": true,
    "branch_new": true
  },
  "xanoscript": {
    "status": "ok",
    "value": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
trigger_id
integer<int64>
required

Query Parameters

publish
boolean
default:true
include_xanoscript
boolean
default:false

Body

text/x-xanoscript

The body is of type string.

Example:

"workspace_trigger foo {\n input {\n object to_branch? {\n schema {\n int id?\n text label? filters=trim\n }\n }\n object from_branch? {\n schema {\n int id?\n text label? filters=trim\n }\n }\n enum action {\n values = [\"branch_live\", \"branch_merge\", \"branch_new\"]\n }\n }\n stack {\n var $x1 {\n value = $input.score + 1\n }\n }\n actions = {branch_live: true, branch_merge: true, branch_new: true}\n}\n"

Response

Success!

id
integer<int64>
default:1
created_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
updated_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
name
string
default:Workflow Trigger
description
string
default:My workflow trigger test description
guid
string
default:YE1fwVhQ-enRlc6Sb42Gqru58-0
branch
string
default:v1
tag
string[]
actions
object
xanoscript
object